import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="aiogram-tonconnect",
    version="0.10.2",
    author="nessshon",
    description="Seamlessly integrates TON Connect into aiogram bots.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    packages=setuptools.find_packages(exclude=["example", "docs"]),
    install_requires=[
        "aiofiles",
        "aiogram",
        "aiohttp",
        "cachetools",
        "pydantic",
        "pytonconnect",
        "pytoniq-core",
        "redis",
    ],
    classifiers=[
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: 3.12",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    url="https://github.com/nessshon/aiogram-tonconnect/",
    project_urls={
        "Documentation": "https://tonmendon.github.io/aiogram-tonconnect/",
        "Bot example": "https://t.me/aiogramTONConncetBot/",
    },
)
